Page MenuHomePhabricator

Search and Replace tool from toolbar works incorrectly with Book page content model duplicating raw page header and footer into the main textfield
Closed, DuplicatePublic

Description

Steps to reproduce:

  • open any page in Page: namespace in WIkisource (Book page content model)
  • edit the page
  • use the search and replace button
  • choose any search and replace strings
  • click Replace all

Both in top and bottom of edited page content appears <noinclude> tags and <noinclude><pagequality > tag
(raw content of the page header & footer is duplicated into the main edit area)

https://cs.wikisource.org/w/index.php?title=Stránka:Antonín_Brousil_-_Přehled_českých_jmen_křestních_-_1934.djvu/13&diff=204799&oldid=204798&diffmode=source

Event Timeline

JAnD created this task.Jun 6 2019, 12:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2019, 12:55 PM

@JAnD: I am afraid that I don't understand the problem and I do not know what to see where. How is that link related to the problem?
Can you please provide a complete list of steps to reproduce including links, and explain what you expect to [not] see, and explain what you expect to see instead?

  1. I open any index page: https://cs.wikisource.org/wiki/Index:Anton%C3%ADn_Brousil_-_P%C5%99ehled_%C4%8Desk%C3%BDch_jmen_k%C5%99estn%C3%ADch_-_1934.djvu
  2. I click Strany: 11 to end up on https://cs.wikisource.org/wiki/Str%C3%A1nka:Anton%C3%ADn_Brousil_-_P%C5%99ehled_%C4%8Desk%C3%BDch_jmen_k%C5%99estn%C3%ADch_-_1934.djvu/13
  3. I guess I have to choose "Editovat" to get into Edit mode, as I have no idea where else to find "Search and Replace".
  4. I click on "Pokročilé" (Advanced) in the edit tool bar.
  5. On the right, I click "Najit a nahradit" (Search and replace).

No idea what's next now. Or whether to save after replacing something, to see... something somewhere?

Ankry added a subscriber: Ankry.Jul 7 2019, 8:19 PM

I don't know what "How about first and last line?" means.

Please see T225204#5245842 and provide a clear and complete list of steps to reproduce, the expected outcome, and the actual outcome.

Ankry renamed this task from Search and Replace in proofread extension duplicates pagequality tags in textfield to Search and Replace tool from toolbar works incorectly with Book page content model duplicating raw page haeder and footer into textfield.Jul 7 2019, 8:48 PM
Ankry renamed this task from Search and Replace tool from toolbar works incorectly with Book page content model duplicating raw page haeder and footer into textfield to Search and Replace tool from toolbar works incorectly with Book page content model duplicating raw page header and footer into textfield.
Ankry updated the task description. (Show Details)
Ankry added a comment.Jul 7 2019, 8:53 PM

I don't know what "How about first and last line?" means.
Please see T225204#5245842 and provide a clear and complete list of steps to reproduce, the expected outcome, and the actual outcome.

A copy of the raw page header (that should be hidden) appaers in the first line of the main edit field content, and a copy of the raw page footer (that should also be hidden) appears in the last line of the main edit field content.

Ankry renamed this task from Search and Replace tool from toolbar works incorectly with Book page content model duplicating raw page header and footer into textfield to Search and Replace tool from toolbar works incorectly with Book page content model duplicating raw page header and footer into the main textfield.Jul 7 2019, 8:59 PM
Ankry updated the task description. (Show Details)
Aklapper renamed this task from Search and Replace tool from toolbar works incorectly with Book page content model duplicating raw page header and footer into the main textfield to Search and Replace tool from toolbar works incorrectly with Book page content model duplicating raw page header and footer into the main textfield.Jul 8 2019, 8:03 AM
Ankry added a comment.EditedJul 8 2019, 8:25 AM

I think, this interaction between ProofreadPage and WikiEditor toolbar cannot be fixed inside ProofreadPage. The search and replace tool incorrectly assumes that all raw content of the wikicode is provided to user

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Sun, Aug 4, 11:56 AM